%define major   0
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d
%define uname   Osmo-DSP

Name:             libosmo-dsp
Summary:          A library with SDR DSP primitives
Version:          0.3
Release:          %mkrel 2
License:          GPLv2+
Group:            Communications/Radio
URL:              http://cgit.osmocom.org/libosmo-dsp/
Source0:          http://cgit.osmocom.org/libosmo-dsp/snapshot/%{name}-%{version}.tar.bz2

BuildRequires:    autoconf
BuildRequires:    automake
BuildRequires:    libtool
BuildRequires:    pkgconfig(fftw3)
BuildRequires:    doxygen
BuildRequires:    graphviz

%description
A library with SDR DSP primitives.

%package -n %{libname}
Summary:          A library with SDR DSP primitives
Group:            Communications/Radio

%description -n %{libname}
Library files for libosmo-dsp.

%package -n %{devname}
Summary:          Development files for libosmo-dsp
Group:            Communications/Radio
Requires:         %{libname} = %{version}-%{release}
Provides:         %{name}-devel = %{version}-%{release}
Provides:         osmo-dsp-devel = %{version}-%{release}

%description -n %{devname}
Development files for libosmo-dsp.

%package doc
Summary:          Documentation for osmo-dsp
Group:            Documentation
BuildArch:        noarch

%description doc
HTML documentation for osmo-dsp.

%prep
%setup -q
autoreconf -fi

%build
%configure2_5x --disable-static

%make LDFLAGS="${LDFLAGS} -lm"

%install
%makeinstall_std

# remove libtool
rm -f %{buildroot}%{_libdir}/*.la

# fix docs location
mkdir -p %{buildroot}%{_docdir}/%{name}
mv %{buildroot}%{_datadir}/doc/libosmodsp %{buildroot}%{_docdir}/%{name}/html

cat > %{name}-doc.desktop << EOF
[Desktop Entry]
Version=1.0
Name=%{uname} Documentation
GenericName=%{uname} Documentation
Exec=xdg-open /usr/share/doc/%{name}/html/index.html
Icon=
Terminal=false
Type=Application
Categories=System;Documentation;X-Mageia-CrossDesktop;
EOF

desktop-file-install \
--dir=%{buildroot}%{_datadir}/applications %{name}-doc.desktop

%files -n %{libname}
%doc AUTHORS
%{_libdir}/*.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/osmocom
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so

%files doc
%dir %{_docdir}/%{name}/html
%{_docdir}/%{name}/html/*
%{_datadir}/applications/%{name}-doc.desktop


%changelog
* Tue Feb 09 2016 umeabot <umeabot> 0.3-2.mga6
+ Revision: 952140
- Mageia 6 Mass Rebuild

* Fri Jan 16 2015 barjac <barjac> 0.3-1.mga5
+ Revision: 811015
- Adapt for Mageia
- Import lisosmo-dsp with thanks to Fedora


* Wed Aug 20 2014 dl8fcl@darc.de
- Package renamed to libosmo-dsp
* Wed Oct 30 2013 lnt-sysadmin@lists.lrz.de
- Add BuildRequires: texlive-latex to build some documentation
* Sun Aug 11 2013 dl8fcl@darc.de
- import into build service
